[SOLVED] yet another "Could not refresh the list of updates" problem...

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
FlintMich
Level 1
Level 1
Posts: 2
Joined: Sun Apr 07, 2019 2:19 am

[SOLVED] yet another "Could not refresh the list of updates" problem...

Post by FlintMich » Wed Apr 17, 2019 2:10 pm

I've searched this and found several other posts about it but none of those solutions have worked for me. I'm an absolute newb at Linux so please be gentle :(
The only progress I've had so far is by entering "sudo apt update" into Terminal. Below are the results and to be honest, it's all hieroglyphics to me. Any help would be greatly appreciated.

Code: Select all

oem@HP-Notebook ~ $ sudo apt update
[sudo] password for oem: 
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Ign:2 http://mirrors.advancedhosters.com/linuxmint/packages sarah InRelease    
Ign:3 http://dl.google.com/linux/earth/deb stable InRelease                    
Hit:4 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial InRelease       
Get:5 http://mirrors.advancedhosters.com/linuxmint/packages sarah Release [24.1 kB]
Get:6 http://dl.google.com/linux/chrome/deb stable Release [943 B]             
Get:7 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates InRelease [109 kB]
Ign:8 http://security.ubuntu.com/ubuntu xenial-security InRelease              
Ign:9 http://archive.canonical.com/ubuntu xenial InRelease                     
Get:10 http://mirrors.advancedhosters.com/linuxmint/packages sarah Release.gpg [819 B]
Get:11 http://dl.google.com/linux/earth/deb stable Release [933 B]             
Get:12 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]        
Get:13 http://dl.google.com/linux/earth/deb stable Release.gpg [819 B]         
Get:14 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-backports InRelease [107 kB]
Get:15 http://security.ubuntu.com/ubuntu xenial-security Release [108 kB]      
Err:16 http://archive.canonical.com/ubuntu xenial Release                      
  Could not open file /var/lib/apt/lists/partial/archive.canonical.com_ubuntu_dists_xenial_Release - open (13: Permission denied) [IP: 2001:67c:1360:8c01::1b 80]
Get:17 http://mirrors.advancedhosters.com/linuxmint/packages sarah/main amd64 Packages [16.2 kB]
Err:12 http://dl.google.com/linux/chrome/deb stable Release.gpg                
  The following signatures were invalid: BADSIG 6494C6D6997C215E Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com>  The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
Get:18 http://mirrors.advancedhosters.com/linuxmint/packages sarah/main i386 Packages [15.5 kB]
Get:19 http://mirrors.advancedhosters.com/linuxmint/packages sarah/upstream amd64 Packages [34.0 kB]
Get:20 http://mirrors.advancedhosters.com/linuxmint/packages sarah/upstream i386 Packages [34.0 kB]
Get:21 http://security.ubuntu.com/ubuntu xenial-security Release.gpg [916 B]   
Get:22 http://mirrors.advancedhosters.com/linuxmint/packages sarah/import amd64 Packages [6,723 B]
Get:23 http://mirrors.advancedhosters.com/linuxmint/packages sarah/import i386 Packages [6,725 B]
Get:24 http://mirrors.advancedhosters.com/linuxmint/packages sarah/backport amd64 Packages [73.4 kB]
Get:25 http://mirrors.advancedhosters.com/linuxmint/packages sarah/backport i386 Packages [73.4 kB]
Get:26 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/main amd64 Packages [938 kB]
Get:27 http://dl.google.com/linux/earth/deb stable/main amd64 Packages [727 B] 
Get:28 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/main i386 Packages [815 kB]
Get:29 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/main Translation-en [376 kB]
Get:30 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/universe amd64 Packages [746 kB]
Get:31 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/universe i386 Packages [683 kB]
Get:32 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/universe Translation-en [310 kB]
Get:33 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/multiverse amd64 Packages [16.7 kB]
Get:34 http://fireball-public.phys.wvu.edu/mirror/ubuntu xenial-updates/multiverse i386 Packages [15.8 kB]
Get:35 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [638 kB]
Get:36 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [530 kB]
Get:37 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [261 kB]
Get:38 http://security.ubuntu.com/ubuntu xenial-security/restricted amd64 Packages [7,204 B]
Get:39 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [7,224 B]
Get:40 http://security.ubuntu.com/ubuntu xenial-security/restricted Translation-en [2,152 B]
Get:41 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [433 kB]
Get:42 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [377 kB]
Get:43 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [175 kB]
Get:44 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [5,604 B]
Get:45 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [5,764 B]
Get:46 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [2,676 B]
Reading package lists... Error!                              
E: The repository 'http://archive.canonical.com/ubuntu xenial Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://dl.google.com/linux/chrome/deb stable Release: The following signatures were invalid: BADSIG 6494C6D6997C215E Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com>  The following signatures were invalid: KEYEXPIRED 1555048520  KEYEXPIRED 1555048520
N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'http://dl.google.com/linux/earth/deb stable InRelease' doesn't support architecture 'i386'
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-amd64_Packages
E: The package lists or status file could not be parsed or opened.
oem@HP-Notebook ~ $
Last edited by Moem on Thu Apr 18, 2019 4:41 am, edited 1 time in total.
Reason: Marked this as [SOLVED] for you; please note that you can and should do this for your own topics. Thanks!

DAMIEN1307
Level 7
Level 7
Posts: 1831
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: yet another "Could not refresh the list of updates" problem...

Post by DAMIEN1307 » Wed Apr 17, 2019 5:41 pm

could you copy and paste the code below to your terminal and post it here?...im seeing in your sudo apt update, both LM sarah releases as well as LM xenial releases showing in your update manager...potential conflict between the 2 repositories may be the problem...looks to be rather a mess to me...DAMIEN

Code: Select all

inxi -Fxz
ORDO AB CHAO

User avatar
Pjotr
Level 21
Level 21
Posts: 12875
Joined: Mon Mar 07, 2011 10:18 am
Location: The Netherlands (Holland)
Contact:

Re: yet another "Could not refresh the list of updates" problem...

Post by Pjotr » Wed Apr 17, 2019 6:02 pm

Fix your MergeList problem like this:
https://easylinuxtipsproject.blogspot.c ... s.html#ID8
(item 8 )

And your key problem like this:
https://easylinuxtipsproject.blogspot.c ... .html#ID28
(item 28)
Tip: 10 things to do after installing Linux Mint 19.2 Tina
Keep your Linux Mint healthy: Avoid these 10 fatal mistakes
Twitter: twitter.com/easylinuxtips
All in all, horse sense simply makes sense.

FlintMich
Level 1
Level 1
Posts: 2
Joined: Sun Apr 07, 2019 2:19 am

Re: yet another "Could not refresh the list of updates" problem...

Post by FlintMich » Thu Apr 18, 2019 4:32 am

:D
Damien1307 and pjotr thank you so so much! I have been stressing over this like no other!
I corrected the merge list (removed the old lists and then retrieved new lists) and it took right off.

Thank you again so much.
TJ

Post Reply

Return to “Software & Applications”